openstack.compute.v2.image
==========================

.. automodule:: openstack.compute.v2.image

The Image Class
---------------

The ``Image`` class inherits from :class:`~openstack.resource.Resource`.

.. autoclass:: openstack.compute.v2.image.Image
   :members:

The ImageDetail Class
---------------------

The ``ImageDetail`` class inherits from
:class:`~openstack.compute.v2.image.Image`.

.. autoclass:: openstack.compute.v2.image.ImageDetail
   :members:
